Jump to content
c4forums | The Control4 Community

Hardware upgrade?


Joshua Pressnell

Recommended Posts

I've inherited an older control4 system with a new house purchase.  The system currently has one media controller and two theater controllers.  One of the theater controllers is acting as the primary controller.  From what I can tell, this setup cannot be upgraded past version 1.7 because in version 1.8+ it's invalid to have one of these devices act as a primary controller.

 

So my question is... if I get a used controller like a HC-1000 or HC-250 and configure that as the primary controller and disable the director component of the current primary controller, will I be able to upgrade all of the hardware to version 2.8?  I also have two remotes currently (RCZ-SRC2-B) and I think I read somewhere that these would not work after upgrading?

 

I'm just trying to work out if it's better to keep my existing setup on 1.7 and work within those limits, or add a little more hardware to the system and get updated to the latest OS software.  I'm an engineer and I really like the idea of doing some custom programming for these, and the IP/network features I'd need access to showed up in 2.2 I think.  We use four airport express units as airplay stations hooked up to a generic CD driver in the control4 setup, so getting access to streaming music isn't really an issue, although some of the new "direct" features for airplay and pandora and such would be smoother than the setup we have now.

Link to comment
Share on other sites


Media and Home Theatre Controllers cannot be part of a system past 2.5.3, though your plan would work to that point.

Yes you would have to replace the remotes.

One other thing to consider is that some Card Access pieces cannot be upgraded past 1.7.4 - may or may not be a problem for you.

Most difficult part would be to get a hold of SR-250 remotes as the newer 260 version will not work below 2.6

Link to comment
Share on other sites

I don't have any card access controllers, and 2.5 would at least get me far enough to start playing a little more in depth and have access to some of the newer drivers for networked 3rd party hardware... I'll have to take a look at the remote issue.  Am I correct in assuming that my current remotes would become unusable and I'd need to get a new set of model SR-250?  Are there any other remote models that would work in a OS 2.5 system?

Link to comment
Share on other sites

Also, keep in mind you will need to involve your dealer.  Composer Pro past version 2.x is licensed differently than 1.7.4 was.  Once you have Composer Home Edition (HE), you can do all the programming you want.

 

The only remotes that will work in a 2.5 system are the SR-150 and SR-250 models.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...